## cups 2.3.0+deepin2.3

=== cups/Makefile ===
#
# Library Makefile for CUPS.
#
# Copyright © 2007-2019 by Apple Inc.
# Copyright © 1997-2006 by Easy Software Products, all rights reserved.
#
# Licensed under Apache License v2.0.  See the file "LICENSE" for more
# information.
#

include ../Makedefs


#
# Object files...
#

COREOBJS	=	\
		array.o \
		auth.o \
		debug.o \
		dest.o \
		dest-job.o \
		dest-localization.o \
		dest-options.o \
		dir.o \
		encode.o \
		file.o \
		getputfile.o \
		globals.o \
		hash.o \
		http.o \
		http-addr.o \
		http-addrlist.o \
		http-support.o \
		ipp.o \
		ipp-file.o \
		ipp-vars.o \
		ipp-support.o \
		langprintf.o \
		language.o \
		md5.o \
		md5passwd.o \
		notify.o \
		options.o \
		pwg-media.o \
		raster-error.o \
		raster-stream.o \
		raster-stubs.o \
		request.o \
		snprintf.o \
		string.o \
		tempfile.o \
		thread.o \
		tls.o \
		transcode.o \
		usersys.o \
		util.o

DRIVEROBJS	=	\
		adminutil.o \
		backchannel.o \
		backend.o \
		getdevices.o \
		getifaddrs.o \
		ppd.o \
		ppd-attr.o \
		ppd-cache.o \
		ppd-conflicts.o \
		ppd-custom.o \
		ppd-emit.o \
		ppd-localize.o \
		ppd-mark.o \
		ppd-page.o \
		ppd-util.o \
		raster-interpret.o \
		raster-interstub.o \
		sidechannel.o \
		snmp.o

LIBOBJS		= \
		$(LIBCUPSOBJS)

IMAGEOBJS	= \
		raster-interstub.o \
		raster-stubs.o

TESTOBJS	= \
		rasterbench.o \
		testadmin.o \
		testarray.o \
		testcache.o \
		testclient.o \
		testconflicts.o \
		testcreds.o \
		testcups.o \
		testdest.o \
		testfile.o \
		testgetdests.o \
		testhttp.o \
		testi18n.o \
		testipp.o \
		testoptions.o \
		testlang.o \
		testppd.o \
		testpwg.o \
		testraster.o \
		testsnmp.o \
		tlscheck.o
OBJS	=	\
		$(LIBOBJS) \
		$(IMAGEOBJS) \
		$(TESTOBJS)


#
# Header files to install...
#

COREHEADERS	=	\
		array.h \
		cups.h \
		dir.h \
		file.h \
		http.h \
		ipp.h \
		language.h \
		pwg.h \
		raster.h \
		transcode.h \
		versioning.h

DRIVERHEADERS	=	\
		adminutil.h \
		backend.h \
		ppd.h \
		sidechannel.h

HEADERS		=	\
		$(LIBHEADERS)

COREHEADERSPRIV =	\
		array-private.h \
		cups-private.h \
		debug-private.h \
		file-private.h \
		http-private.h \
		ipp-private.h \
		language-private.h \
		pwg-private.h \
		raster-private.h \
		string-private.h \
		thread-private.h

DRIVERHEADERSPRIV	=	\
		ppd-private.h \
		snmp-private.h

HEADERSPRIV	=	\
		$(LIBHEADERSPRIV)


#
# Targets in this directory...
#

LIBTARGETS =	\
		$(LIBCUPSIMAGE) \
		$(LIBCUPSSTATIC) \
		$(LIBCUPS) \
		libcupsimage.a

UNITTARGETS =	\
		rasterbench \
		testadmin \
		testarray \
		testcache \
		testclient \
		testconflicts \
		testcreds \
		testcups \
		testdest \
		testfile \
		testgetdests \
		testhttp \
		testi18n \
		testipp \
		testlang \
		testoptions \
		testppd \
		testpwg \
		testraster \
		testsnmp \
		tlscheck

TARGETS	=	\
		$(LIBTARGETS)


#
# Make all targets...
#

all:		$(TARGETS)


#
# Make library targets...
#

libs:		$(LIBTARGETS)


#
# Make unit tests...
#

unittests:	$(UNITTARGETS)


#
# Remove object and target files...
#

clean:
	$(RM) $(OBJS) $(TARGETS) $(UNITTARGETS)
	$(RM) libcups.so libcups.dylib
	$(RM) libcupsimage.so libcupsimage.dylib


#
# Update dependencies (without system header dependencies...)
#

depend:
	$(CC) -MM $(ALL_CFLAGS) $(OBJS:.o=.c) >Dependencies


#
# Run oclint to check code coverage...
#

oclint:
	oclint -o=oclint.html -html $(LIBOBJS:.o=.c) -- $(ALL_CFLAGS)


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:
	echo Installing header files into $(INCLUDEDIR)/cups...
	$(INSTALL_DIR) -m 755 $(INCLUDEDIR)/cups
	for file in $(HEADERS); do \
		$(INSTALL_DATA) $$file $(INCLUDEDIR)/cups; \
	done
	if test "x$(privateinclude)" != x; then \
		echo Installing private header files into $(PRIVATEINCLUDE)...; \
		$(INSTALL_DIR) -m 755 $(PRIVATEINCLUDE); \
		for file in $(HEADERSPRIV); do \
			$(INSTALL_DATA) $$file $(PRIVATEINCLUDE)/$$file; \
		done; \
	fi


#
# Install libraries...
#

install-libs: $(LIBTARGETS) $(INSTALLSTATIC)
	echo Installing libraries in $(LIBDIR)...
	$(INSTALL_DIR) -m 755 $(LIBDIR)
	$(INSTALL_LIB) $(LIBCUPS) $(LIBDIR)
	if test $(LIBCUPS) = "libcups.so.2"; then \
		$(RM) $(LIBDIR)/`basename $(LIBCUPS) .2`; \
		$(LN) $(LIBCUPS) $(LIBDIR)/`basename $(LIBCUPS) .2`; \
	fi
	if test $(LIBCUPS) = "libcups.2.dylib"; then \
		$(RM) $(LIBDIR)/libcups.dylib; \
		$(LN) $(LIBCUPS) $(LIBDIR)/libcups.dylib; \
	fi
	-if test "x$(LIBCUPSIMAGE)" != x; then \
		$(INSTALL_LIB) $(LIBCUPSIMAGE) $(LIBDIR); \
	fi
	-if test "x$(LIBCUPSIMAGE)" = "xlibcupsimage.so.2"; then \
		$(RM) $(LIBDIR)/`basename $(LIBCUPSIMAGE) .2`; \
		$(LN) $(LIBCUPSIMAGE) $(LIBDIR)/`basename $(LIBCUPSIMAGE) .2`; \
	fi
	-if test "x$(LIBCUPSIMAGE)" = "xlibcupsimage.2.dylib"; then \
		$(RM) $(LIBDIR)/libcupsimage.dylib; \
		$(LN) $(LIBCUPSIMAGE) $(LIBDIR)/libcupsimage.dylib; \
	fi
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		cp $(LIBCUPS) $(SYMROOT); \
		dsymutil $(SYMROOT)/$(LIBCUPS); \
		if test "x$(LIBCUPSIMAGE)" != x; then \
			cp $(LIBCUPSIMAGE) $(SYMROOT); \
			dsymutil $(SYMROOT)/$(LIBCUPSIMAGE); \
		fi; \
	fi

installstatic:
	$(INSTALL_DIR) -m 755 $(LIBDIR)
	$(INSTALL_LIB) -m 755 $(LIBCUPSSTATIC) $(LIBDIR)
	$(RANLIB) $(LIBDIR)/$(LIBCUPSSTATIC)
	$(CHMOD) 555 $(LIBDIR)/$(LIBCUPSSTATIC)
	$(INSTALL_LIB) -m 755 libcupsimage.a $(LIBDIR)
	$(RANLIB) $(LIBDIR)/libcupsimage.a
	$(CHMOD) 555 $(LIBDIR)/libcupsimage.a


#
# Uninstall object and target files...
#

uninstall:
	$(RM) $(LIBDIR)/libcups.2.dylib
	$(RM) $(LIBDIR)/libcups.a
	$(RM) $(LIBDIR)/libcups.dylib
	$(RM) $(LIBDIR)/libcups.so
	$(RM) $(LIBDIR)/libcups.so.2
	$(RM) $(LIBDIR)/libcupsimage.2.dylib
	$(RM) $(LIBDIR)/libcupsimage.a
	$(RM) $(LIBDIR)/libcupsimage.dylib
	$(RM) $(LIBDIR)/libcupsimage.so
	$(RM) $(LIBDIR)/libcupsimage.so.2
	-$(RMDIR) $(LIBDIR)
	for file in $(HEADERS); do \
		$(RM) $(INCLUDEDIR)/cups/$$file; \
	done
	-$(RMDIR) $(INCLUDEDIR)/cups
	if test "x$(privateinclude)" != x; then \
		for file in $(HEADERSPRIV); do \
			$(RM) $(PRIVATEINCLUDE)/cups/$$file; \
		done
		$(RMDIR) $(PRIVATEINCLUDE)/cups; \
	fi


#
# libcups.so.2
#

libcups.so.2:	$(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(ALL_DSOFLAGS) -o $@ $(LIBOBJS) $(LIBS)
	$(RM) `basename $@ .2`
	$(LN) $@ `basename $@ .2`


#
# libcups.2.dylib
#

libcups.2.dylib:	$(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(ALL_DSOFLAGS) -o $@ \
		-install_name $(libdir)/$@ \
		-current_version 2.14.0 \
		-compatibility_version 2.0.0 \
		$(LIBOBJS) $(LIBS)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@
	$(RM) libcups.dylib
	$(LN) $@ libcups.dylib


#
# libcups.la
#

libcups.la:    $(LIBOBJS)
	echo Linking $@...
	$(LD_CC) $(ARCHFLAGS) $(ALL_DSOFLAGS) -o $@ $(LIBOBJS:.o=.lo) \
		-rpath $(LIBDIR) -version-info 2:14 $(LIBS)


#
# libcups.a
#

libcups.a:	$(LIBOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@


#
# libcups2.def (Windows DLL exports file...)
#

libcups2.def: $(LIBOBJS) $(IMAGEOBJS) Makefile
	echo Generating $@...
	echo "LIBRARY libcups2" >libcups2.def
	echo "VERSION 2.14" >>libcups2.def
	echo "EXPORTS" >>libcups2.def
	(nm $(LIBOBJS) $(IMAGEOBJS) 2>/dev/null | grep "T _" | awk '{print $$3}'; \
	 echo __cups_strcpy; echo __cups_strlcat; echo __cups_strlcpy; \
	 echo __cups_snprintf; echo __cups_vsnprintf; echo __cups_gettimeofday) | \
		grep -v -E \
		    -e 'cups_debug|Apple|BackChannel|Backend|FileCheck|Filter|GSSService|SetNegotiate|SideChannel|SNMP' \
		    -e 'Block$$' | \
		sed -e '1,$$s/^_//' | sort >>libcups2.def


#
# libcupsimage.so.2
#

libcupsimage.so.2:	$(IMAGEOBJS) libcups.so.2
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(ALL_DSOFLAGS) -o $@ $(IMAGEOBJS) $(LINKCUPS)
	$(RM) `basename $@ .2`
	$(LN) $@ `basename $@ .2`


#
# libcupsimage.2.dylib
#

libcupsimage.2.dylib:	$(IMAGEOBJS) libcups.2.dylib
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(ALL_DSOFLAGS) -o $@ \
		-install_name $(libdir)/$@ \
		-current_version 2.3.0 \
		-compatibility_version 2.0.0 \
		$(IMAGEOBJS) $(LINKCUPS)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@
	$(RM) libcupsimage.dylib
	$(LN) $@ libcupsimage.dylib


#
# libcupsimage.la
#

libcupsimage.la:       $(IMAGEOBJS) libcups.la
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(ALL_DSOFLAGS) -o $@ $(IMAGEOBJS:.o=.lo) \
		$(LINKCUPS) -rpath $(LIBDIR) -version-info 2:3


#
# libcupsimage.a
#

libcupsimage.a:	$(IMAGEOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(IMAGEOBJS)
	$(RANLIB) $@


#
# rasterbench (dependency on static CUPS library is intentional)
#

rasterbench:	rasterbench.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ rasterbench.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testadmin (dependency on static CUPS library is intentional)
#

testadmin:	testadmin.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testadmin.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testarray (dependency on static CUPS library is intentional)
#

testarray:	testarray.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ARCHFLAGS) $(ALL_LDFLAGS) -o $@ testarray.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@
	echo Running array API tests...
	./testarray


#
# testcache (dependency on static CUPS library is intentional)
#

testcache:	testcache.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testcache.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testclient (dependency on static libraries is intentional)
#

testclient:	testclient.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testclient.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testconflicts (dependency on static CUPS library is intentional)
#

testconflicts:	testconflicts.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testconflicts.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testcreds (dependency on static CUPS library is intentional)
#

testcreds:	testcreds.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ARCHFLAGS) $(ALL_LDFLAGS) -o $@ testcreds.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testcups (dependency on static CUPS library is intentional)
#

testcups:	testcups.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testcups.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testdest (dependency on static CUPS library is intentional)
#

testdest:	testdest.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testdest.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testfile (dependency on static CUPS library is intentional)
#

testfile:	testfile.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ARCHFLAGS) $(ALL_LDFLAGS) -o $@ testfile.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@
	echo Running file API tests...
	./testfile


#
# testgetdests (dependency on static CUPS library is intentional)
#

testgetdests:	testgetdests.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ALL_LDFLAGS) -o $@ testgetdests.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@


#
# testhttp (dependency on static CUPS library is intentional)
#

testhttp:	testhttp.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ARCHFLAGS) $(ALL_LDFLAGS) -o $@ testhttp.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@
	echo Running HTTP API tests...
	./testhttp


#
# testipp (dependency on static CUPS library is intentional)
#

testipp:	testipp.o $(LIBCUPSSTATIC)
	echo Linking $@...
	$(LD_CC) $(ARCHFLAGS) $(ALL_LDFLAGS) -o $@ testipp.o $(LINKCUPSSTATIC)
	$(CODE_SIGN) -s "$(CODE_SIGN_IDENTITY)" $@
	echo Running IPP API tests...
	./testipp


#
# testi18n (dependency on static CUPS library is intentional)
#

testi18n:	testi18n.o $(LIBCUPSSTATIC)
	echo Linking $@...

=== debian/changelog ===
cups (2.3.0+deepin2.3-1+security) unstable; urgency=medium

  * update

 -- Debian Printing Team <debian-printing@lists.debian.org>  Sun, 04 Apr 2021 15:35:51 +0800

cups (2.3.0+deepin2.2-1+eagle) unstable; urgency=medium

  * fix CVE-2020-10001

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 26 Feb 2021 10:18:26 +0800

cups (2.3.0+deepin2.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fixed CVE-2020-3898
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 05 Jul 2020 19:21:08 +0800

cups (2.3.0-5) unstable; urgency=medium

  * Let the test-drivers script stop waiting when a filter is allegedly
    failed, and give context

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Sep 2019 09:41:44 +0200

cups (2.3.0-4) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (2197t)

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Sep 2019 15:03:47 +0200

cups (2.3.0-3) unstable; urgency=low

  * Fix autopkgtests for real; refactor lpadmin stderr filtering

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Sep 2019 09:32:07 +0200

cups (2.3.0-2) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German man page (2100t58f39u)

  [ Didier Raboud ]
  * Fix autopkgtest by filtering away known stderr messages

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Sep 2019 09:33:20 +0200

cups (2.3.0-1) unstable; urgency=low

  * New 2.3.0 upstream release, to unstable
    - CVE-2019-8696 and CVE-2019-8675: Fixed SNMP buffer overflows
    - Fixed IPP buffer overflow
    - Fixed memory disclosure and DoS issues in the scheduler
    - CUPS is now provided under the Apache License, Version 2.0, with a
      GPL2/LGPL2 exception
  * Rewrite debian/copyright with the above license change, install the
    NOTICE file
  * Refresh manpage translations
  * Refresh upstream metadata
  * Bump S-V to 4.4 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Sep 2019 13:19:18 +0200

cups (2.3~rc1-2) experimental; urgency=medium

  * Merge 2.2.12-1 from unstable
  * Add missing colon in closes line.
  * Set upstream metadata fields: Contact, Name.
  * Bump debhelper from old 11 to 12.

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Aug 2019 16:58:09 +0200

cups (2.3~rc1-1) experimental; urgency=medium

  * New 2.3~rc1 upstream release:
    - Refresh patch queue
    - Refresh manpage translation files
    - Remove /usr/sbin/accept and /usr/sbin/reject symlinks

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2019 06:41:04 +0200

cups (2.3~b8-4) experimental; urgency=medium

  * Reset the LogDebugHistory setting to upstream default (LP: #1831021)

 -- Didier Raboud <odyx@debian.org>  Sun, 02 Jun 2019 10:51:31 +0200

cups (2.3~b8-3) experimental; urgency=medium

  * Migrate to dgit-maint-debrebase workflow

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2019 12:53:24 +0200

cups (2.3~b8-2) experimental; urgency=medium

  * Backport upstream patch:
    - Block cups-files.conf directives (Issue #5530, Closes: #923115)

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2019 10:42:54 +0200

cups (2.3~b8-1) experimental; urgency=medium

  * New 2.3~b8 upstream release
    - Add patch to fix tests' failure

  * Redo manpage po4a translation infrastructure and installation
  * Merge 2.2.10-6 from unstable

 -- Didier Raboud <odyx@debian.org>  Wed, 08 May 2019 15:26:40 +0200

cups (2.3~b7-1) experimental; urgency=medium

  * New 2.3~b7 upstream release
    - Drop two patches now included upstream

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Dec 2018 17:08:55 +0100

cups (2.3~b6-2) experimental; urgency=medium

  * Merge 2.2.10-3
  * Add patch to allow building with -Werror=maybe-uninitialized
  * Drop now-superflous --dbgsym-migration dh_strip argument

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Dec 2018 16:02:37 +0100

cups (2.3~b6-1) experimental; urgency=medium

  * New 2.3~b6 upstream pre-release
    - CVE-2018-4700: Linux session cookies used a predictable random number
      seed (Closes: #915909)
    - The `cupsaddsmb` program has been removed (Issue #5449)
    - The `cupstestdsc` program has been removed (Issue #5450)
    - Rebase patches

  * Merge 2.2.10-1
  * Manpage translations update
  * Add patch to fix FTBFS due to wrong `usage(int)` usage
  * Update libcups2 symbols: +12 cupsRaster*
  * Cope with cupsaddsmb and cupstestdsc removals:
    - Remove from cups-client installed files
    - Remove from manpage translation infrastructure
    - Remove from libcups2's README.Debian

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Dec 2018 10:18:41 +0100

cups (2.3~b5-2) experimental; urgency=medium

  * Merge 2.2.8-5, rebase patches

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Jul 2018 10:54:59 +0200

cups (2.3~b5-1) experimental; urgency=medium

  * New 2.3~b5 upstream release
  * Merge 2.2.8-2

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Jun 2018 16:25:15 +0200

cups (2.3~b4-3) experimental; urgency=medium

  * Merge 2.2.7-4, rebase patches

 -- Didier Raboud <odyx@debian.org>  Wed, 16 May 2018 21:38:01 +0200

cups (2.3~b4-2) experimental; urgency=medium

  * Merge 2.2.7-2
  * Name source lintian override file correctly

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Apr 2018 20:41:08 +0200

cups (2.3~b4-1) experimental; urgency=medium

  * New 2.3~b4 upstream pre-release
    - NOTICE: Printer drivers are now deprecated (Issue #5270)

  * Add cupsEncodeOption@Base 2.3~b4 symbol in libcups2
  * Refresh manpage translations

 -- Didier Raboud <odyx@debian.org>  Wed, 28 Mar 2018 09:14:49 +0200

cups (2.3~b3-1) experimental; urgency=medium

  * New 2.3~b3 upstream pre-release
   - The `lp` and `lpr` commands now provide better error messages when the
     default printer cannot be found (Issue #5096, Closes: #870463)
   - CUPS is now provided under the Apache License, Version 2.0

  * 2.3~b3 updates:
    - Update manpage translation files
    - Add 2 libcups2 symbols introduced in 2.3~b1
    - Backport patch from upstream to fix filter's installation (Issue #5247)



=== debian/control ===
Source: cups
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>,
           Till Kamppeter <till.kamppeter@gmail.com>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-apparmor,
               dh-exec,
               patch,
               autoconf,
               automake,
               libtool,
               pkg-config,
               ghostscript,
               libavahi-client-dev,
               libavahi-common-dev,
               libavahi-compat-libdnssd-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgnutls28-dev,
               libijs-dev,
               libjpeg-dev,
               libldap2-dev,
               libkrb5-dev,
               libpam0g-dev,
               libpaper-dev,
               libpng-dev,
               libsystemd-dev [linux-any],
               libtiff-dev,
               libusb-1.0-0-dev [!hurd-any],
               po4a,
               po-debconf,
               poppler-utils,
               sharutils,
               zlib1g-dev
# libgmp-dev is not GPL-2 compatible before it's 6 release, which makes it also GPL-2+
Build-Conflicts: libgmp-dev (<< 2:6)
Rules-Requires-Root: no
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/printing-team/cups
Vcs-Git: https://salsa.debian.org/printing-team/cups.git
Homepage: https://www.cups.org/

Package: libcups2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: cups-common
Pre-Depends: ${misc:Pre-Depends}
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcups2 (= ${binary:Version})
Recommends: libcupsfilters1
Pre-Depends: ${misc:Pre-Depends}
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: cups
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-core-drivers (>= ${binary:Version}),
         cups-daemon (>= ${binary:Version}),
         debconf | debconf-2.0,
         poppler-utils,
         procps,
         ghostscript,
         cups-common (>= ${source:Version}),
         cups-server-common (>= ${source:Version}),
         cups-client (>= ${binary:Version}),
         libcups2 (= ${binary:Version}),
         cups-ppdc,
         cups-filters (>= 1.0.24-3~)
Recommends: avahi-daemon,
            colord,
            cups-filters (>= 1.0.42) | foomatic-filters,
            printer-driver-gutenprint,
            cups-filters (>= 1.0.36) | ghostscript-cups
Suggests: cups-bsd,
          foomatic-db-compressed-ppds | foomatic-db,
          printer-driver-hpcups,
          hplip,
          cups-pdf,
          udev,
          smbclient
Pre-Depends: ${misc:Pre-Depends}
Breaks: cups-bsd (<< 1.7.2-3~)
Replaces: cups-bsd (<< 1.7.2-3~)
Description: Common UNIX Printing System(tm) - PPD/driver support, web interface
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for using printer
 drivers.

Package: cups-core-drivers
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-daemon (>= ${binary:Version}),
         libcups2 (= ${binary:Version}),
         cups-filters-core-drivers
Recommends: avahi-daemon
Pre-Depends: ${misc:Pre-Depends}
Breaks: cups (<< 1.7.1-4~),
        cups-server-common (<< 2.1.0-7~)
Replaces: cups (<< 1.7.1-4~),
          cups-server-common (<< 2.1.0-7~)
Description: Common UNIX Printing System(tm) - driverless printing
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for driverless
 printing on IPP printers with common data formats.

Package: cups-daemon
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
         lsb-base,
         libcups2 (= ${binary:Version}),
         ssl-cert,
         adduser,
         bc
Recommends: colord,
            cups-browsed,
            avahi-daemon (>= 0.6.31-3~)
Suggests: cups,
          cups-bsd,
          cups-common (>= ${source:Version}),
          cups-server-common (>= ${source:Version}),
          cups-client (>= ${binary:Version}),
          cups-ppdc,
          cups-filters,
          poppler-utils,
          ghostscript,
          cups-filters (>= 1.0.42) | foomatic-filters,
          foomatic-db-compressed-ppds | foomatic-db,
          printer-driver-gutenprint,
          printer-driver-hpcups,
          hplip,
          cups-pdf,
          udev,
          smbclient
Breaks: cups (<< 2.1.0-6~)
Replaces: cups (<< 2.1.0-6~)
Description: Common UNIX Printing System(tm) - daemon
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon.

Package: cups-client
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-common (>= ${source:Version}),
         libcups2 (= ${binary:Version}),
         adduser
Suggests: cups,
          cups-bsd,
          smbclient
Breaks: cups (<< 1.7.3-5~)
Conflicts: lprng
Replaces: cups (<< 1.7.3-5~)
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: cups-ipp-utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcups2 (= ${binary:Version})
Breaks: cups (<< 1.7.3-5~),
        cups-client (<< 2.0.3-2~)
Replaces: cups (<< 1.7.3-5~),
          cups-client (<< 2.0.3-2~)
Description: Common UNIX Printing System(tm) - IPP developer/admin utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides IPP utilities for developers and system administrators

Package: libcups2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcupsimage2-dev (= ${binary:Version}),
         libcups2 (= ${binary:Version}),
         dpkg-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcupsimage2 (= ${binary:Version}),
         libcups2-dev (= ${binary:Version}),
         libpng-dev,
         libtiff-dev,
         libjpeg-dev,
         zlib1g-dev
Recommends: libcupsfilters-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: cups-bsd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-client (= ${binary:Version}),
         debconf | debconf-2.0,
         cups-common (>= ${source:Version})
Suggests: cups,
          inetutils-inetd | inet-superserver,
          update-inetd
Conflicts: lpr,
           lprng
Provides: lpr
Replaces: lpr
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-server-common
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: cups (<< 1.6.2-2~),
        cups-common (<< 1.7.0)
Replaces: cups (<< 1.6.2-2~),
          cups-common (<< 1.7.0)
Description: Common UNIX Printing System(tm) - server common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides common files for CUPS server.

Package: cups-ppdc
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-common (>= ${source:Version})
Description: Common UNIX Printing System(tm) - PPD manipulation utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides utilities to generate and manipulate PPD files.

=== debian/tests/control ===
Tests: cups-core-drivers
Restrictions: needs-root
Depends: cups-core-drivers, cups-client

Tests: cups
Restrictions: needs-root
Depends: cups, cups-client
